#Module-Specific definitions
%define mod_name mod_gnutls
%define mod_conf B11_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	DSO module for the apache Web server
Name:		apache-%{mod_name}
Version:	0.4.2.1
Release:	%mkrel 4
Group:		System/Servers
License:	Apache License
URL:		http://www.outoforder.cc/projects/apache/mod_gnutls/
Source0:	http://www.outoforder.cc/downloads/mod_gnutls/%{mod_name}-%{version}.tar.bz2
Source1:	%{mod_conf}
Patch1:		mod_gnutls-0.4.2.1-change-module-name.diff
Patch3:		mod_gnutls-0.4.2.1-fix-apr_memcache-test.diff
Requires(post): gnutls
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	apr_memcache-devel
BuildRequires:	gnutls-devel >= 2.2.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
mod_gnutls uses the GnuTLS library to provide SSL v3, TLS 1.0 and TLS 1.1
encryption for Apache HTTPD. It is similar to mod_ssl in purpose, but does not
use OpenSSL.

%prep
%setup -q -n %{mod_name}-%{version}
%patch1 -p1
%patch3 -p1

cp %{SOURCE1} %{mod_conf}

# only make the binary
perl -pi -e "s|^SUBDIRS.*|SUBDIRS = src|g" Makefile.am

%build
#sh autogen.sh
rm -f configure
libtoolize --force --copy; aclocal -I m4; autoheader; automake --add-missing --copy --foreign; autoconf
rm -rf autom4te.cache

%configure2_5x \
    --with-apxs=%{_sbindir}/apxs \
    --with-apr-memcache-libs=%{_libdir}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/conf/%{mod_name}
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 src/.libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
rsafile="%{_sysconfdir}/httpd/conf/%{mod_name}/rsafile"
dhfile="%{_sysconfdir}/httpd/conf/%{mod_name}/dhfile"

if ! [ -f ${rsafile} -o -f ${dhfile} ]; then
    echo "Creating certificates (this can take quite some time) ..."
    %{_bindir}/certtool --generate-privkey --bits 512 --outfile ${rsafile}
    %{_bindir}/certtool --generate-dh-params --bits 1024 --outfile ${dhfile}
    chmod 640 ${rsafile} ${dhfile}
    chown apache:root ${rsafile} ${dhfile}
    echo "Done ..."
fi

if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE NOTICE README
%attr(0750,root,root) %dir %{_sysconfdir}/httpd/conf/%{mod_name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2.1-4mdv2008.0
+ Revision: 173264
- drop patch 2 (linking with gnutls) as the actual issue was not a missing symbol, but disabled support of srp autentication in gnutls

* Tue Feb 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2.1-3mdv2008.1
+ Revision: 173130
- fix apr_memcache test
- import libgnutls m4 macros from svn, to fix linking issue
- bump minimal gnutls build dependency version

* Mon Feb 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2.1-1mdv2008.1
+ Revision: 171592
- new version
  rediff change-module-name patch
  dropp cert-path patch, this is configurable now

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-4mdv2008.1
+ Revision: 170726
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 19 2008 Funda Wang <fundawang@mandriva.org> 0.2.0-3mdv2008.1
+ Revision: 155053
- rebuild against latest gnutls

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2008.0
+ Revision: 82591
- rebuild

* Sun Jul 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2008.0
+ Revision: 52246
- Import apache-mod_gnutls



* Sun Jul 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdv2008.0
- initial Mandriva package
